<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_131) on Tue Aug 01 04:48:39 EDT 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>ConstraintWithVSLlProposalProvider (org.eclipse.papyrus.marte.textedit.constraintwithvsl.xtext.ui 1.2.2 API)</title>
<meta name="date" content="2017-08-01">
<link rel="stylesheet" type="text/css" href="../../../../../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="ConstraintWithVSLlProposalProvider (org.eclipse.papyrus.marte.textedit.constraintwithvsl.xtext.ui 1.2.2 API)";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/ConstraintWithVSLlProposalProvider.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../../../../org/eclipse/papyrus/marte/textedit/constraintwithvsl/xtext/ui/contentassist/AbstractConstraintWithVSLlProposalProvider.html" title="class in org.eclipse.papyrus.marte.textedit.constraintwithvsl.xtext.ui.contentassist"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li>Next&nbsp;Class</li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../../../index.html?org/eclipse/papyrus/marte/textedit/constraintwithvsl/xtext/ui/contentassist/ConstraintWithVSLlProposalProvider.html" target="_top">Frames</a></li>
<li><a href="ConstraintWithVSLlProposalProvider.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested.classes.inherited.from.class.org.eclipse.xtext.ui.editor.contentassist.AbstractJavaBasedContentProposalProvider">Nested</a>&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#methods.inherited.from.class.org.eclipse.papyrus.marte.textedit.constraintwithvsl.xtext.ui.contentassist.AbstractConstraintWithVSLlProposalProvider">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li>Method</li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.eclipse.papyrus.marte.textedit.constraintwithvsl.xtext.ui.contentassist</div>
<h2 title="Class ConstraintWithVSLlProposalProvider" class="title">Class ConstraintWithVSLlProposalProvider</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li><a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</a></li>
<li>
<ul class="inheritance">
<li>org.eclipse.xtext.ui.editor.contentassist.AbstractContentProposalProvider</li>
<li>
<ul class="inheritance">
<li>org.eclipse.xtext.ui.editor.contentassist.AbstractJavaBasedContentProposalProvider</li>
<li>
<ul class="inheritance">
<li>org.eclipse.xtext.common.ui.contentassist.TerminalsProposalProvider</li>
<li>
<ul class="inheritance">
<li><a href="https://eclipse.org/papyrus/components/MARTE/org.eclipse.papyrus.marte.core/org.eclipse.papyrus.marte.vsl.ui/apidocs/org/eclipse/papyrus/marte/vsl/ui/contentassist/AbstractVSLProposalProvider.html?is-external=true" title="class or interface in org.eclipse.papyrus.marte.vsl.ui.contentassist">org.eclipse.papyrus.marte.vsl.ui.contentassist.AbstractVSLProposalProvider</a></li>
<li>
<ul class="inheritance">
<li><a href="https://eclipse.org/papyrus/components/MARTE/org.eclipse.papyrus.marte.core/org.eclipse.papyrus.marte.vsl.ui/apidocs/org/eclipse/papyrus/marte/vsl/ui/contentassist/VSLProposalProvider.html?is-external=true" title="class or interface in org.eclipse.papyrus.marte.vsl.ui.contentassist">org.eclipse.papyrus.marte.vsl.ui.contentassist.VSLProposalProvider</a></li>
<li>
<ul class="inheritance">
<li><a href="../../../../../../../../../org/eclipse/papyrus/marte/textedit/constraintwithvsl/xtext/ui/contentassist/AbstractConstraintWithVSLlProposalProvider.html" title="class in org.eclipse.papyrus.marte.textedit.constraintwithvsl.xtext.ui.contentassist">org.eclipse.papyrus.marte.textedit.constraintwithvsl.xtext.ui.contentassist.AbstractConstraintWithVSLlProposalProvider</a></li>
<li>
<ul class="inheritance">
<li>org.eclipse.papyrus.marte.textedit.constraintwithvsl.xtext.ui.contentassist.ConstraintWithVSLlProposalProvider</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd>org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalFactory, org.eclipse.xtext.ui.editor.contentassist.IContentProposalProvider</dd>
</dl>
<hr>
<br>
<pre>public class <span class="typeNameLabel">ConstraintWithVSLlProposalProvider</span>
extends <a href="../../../../../../../../../org/eclipse/papyrus/marte/textedit/constraintwithvsl/xtext/ui/contentassist/AbstractConstraintWithVSLlProposalProvider.html" title="class in org.eclipse.papyrus.marte.textedit.constraintwithvsl.xtext.ui.contentassist">AbstractConstraintWithVSLlProposalProvider</a></pre>
<div class="block">see http://www.eclipse.org/Xtext/documentation/latest/xtext.html#contentAssist on how to customize content assistant</div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== NESTED CLASS SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="nested.class.summary">
<!--   -->
</a>
<h3>Nested Class Summary</h3>
<ul class="blockList">
<li class="blockList"><a name="nested.classes.inherited.from.class.org.eclipse.xtext.ui.editor.contentassist.AbstractJavaBasedContentProposalProvider">
<!--   -->
</a>
<h3>Nested classes/interfaces inherited from class&nbsp;org.eclipse.xtext.ui.editor.contentassist.AbstractJavaBasedContentProposalProvider</h3>
<code>org.eclipse.xtext.ui.editor.contentassist.AbstractJavaBasedContentProposalProvider.DefaultProposalCreator, org.eclipse.xtext.ui.editor.contentassist.AbstractJavaBasedContentProposalProvider.ReferenceProposalCreator</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="nested.classes.inherited.from.class.org.eclipse.xtext.ui.editor.contentassist.AbstractContentProposalProvider">
<!--   -->
</a>
<h3>Nested classes/interfaces inherited from class&nbsp;org.eclipse.xtext.ui.editor.contentassist.AbstractContentProposalProvider</h3>
<code>org.eclipse.xtext.ui.editor.contentassist.AbstractContentProposalProvider.DefaultContentAssistProcessorSwitch, org.eclipse.xtext.ui.editor.contentassist.AbstractContentProposalProvider.NullSafeCompletionProposalAcceptor</code></li>
</ul>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../../../../../org/eclipse/papyrus/marte/textedit/constraintwithvsl/xtext/ui/contentassist/ConstraintWithVSLlProposalProvider.html#ConstraintWithVSLlProposalProvider--">ConstraintWithVSLlProposalProvider</a></span>()</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.papyrus.marte.textedit.constraintwithvsl.xtext.ui.contentassist.AbstractConstraintWithVSLlProposalProvider">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.eclipse.papyrus.marte.textedit.constraintwithvsl.xtext.ui.contentassist.<a href="../../../../../../../../../org/eclipse/papyrus/marte/textedit/constraintwithvsl/xtext/ui/contentassist/AbstractConstraintWithVSLlProposalProvider.html" title="class in org.eclipse.papyrus.marte.textedit.constraintwithvsl.xtext.ui.contentassist">AbstractConstraintWithVSLlProposalProvider</a></h3>
<code><a href="../../../../../../../../../org/eclipse/papyrus/marte/textedit/constraintwithvsl/xtext/ui/contentassist/AbstractConstraintWithVSLlProposalProvider.html#complete_ConstraintRule-org.eclipse.emf.ecore.EObject-org.eclipse.xtext.RuleCall-org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext-org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor-">complete_ConstraintRule</a>, <a href="../../../../../../../../../org/eclipse/papyrus/marte/textedit/constraintwithvsl/xtext/ui/contentassist/AbstractConstraintWithVSLlProposalProvider.html#complete_ConstraintSpecification-org.eclipse.emf.ecore.EObject-org.eclipse.xtext.RuleCall-org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext-org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor-">complete_ConstraintSpecification</a>, <a href="../../../../../../../../../org/eclipse/papyrus/marte/textedit/constraintwithvsl/xtext/ui/contentassist/AbstractConstraintWithVSLlProposalProvider.html#completeConstraintRule_Specification-org.eclipse.emf.ecore.EObject-org.eclipse.xtext.Assignment-org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext-org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor-">completeConstraintRule_Specification</a>, <a href="../../../../../../../../../org/eclipse/papyrus/marte/textedit/constraintwithvsl/xtext/ui/contentassist/AbstractConstraintWithVSLlProposalProvider.html#completeConstraintSpecification_Expression-org.eclipse.emf.ecore.EObject-org.eclipse.xtext.Assignment-org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext-org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor-">completeConstraintSpecification_Expression</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.papyrus.marte.vsl.ui.contentassist.VSLProposalProvider">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.eclipse.papyrus.marte.vsl.ui.contentassist.<a href="https://eclipse.org/papyrus/components/MARTE/org.eclipse.papyrus.marte.core/org.eclipse.papyrus.marte.vsl.ui/apidocs/org/eclipse/papyrus/marte/vsl/ui/contentassist/VSLProposalProvider.html?is-external=true" title="class or interface in org.eclipse.papyrus.marte.vsl.ui.contentassist">VSLProposalProvider</a></h3>
<code><a href="https://eclipse.org/papyrus/components/MARTE/org.eclipse.papyrus.marte.core/org.eclipse.papyrus.marte.vsl.ui/apidocs/org/eclipse/papyrus/marte/vsl/ui/contentassist/VSLProposalProvider.html?is-external=true#complete_AdditiveExpression-org.eclipse.emf.ecore.EObject-org.eclipse.xtext.RuleCall-org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext-org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor-" title="class or interface in org.eclipse.papyrus.marte.vsl.ui.contentassist">complete_AdditiveExpression</a>, <a href="https://eclipse.org/papyrus/components/MARTE/org.eclipse.papyrus.marte.core/org.eclipse.papyrus.marte.vsl.ui/apidocs/org/eclipse/papyrus/marte/vsl/ui/contentassist/VSLProposalProvider.html?is-external=true#complete_AndOrXorExpression-org.eclipse.emf.ecore.EObject-org.eclipse.xtext.RuleCall-org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext-org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor-" title="class or interface in org.eclipse.papyrus.marte.vsl.ui.contentassist">complete_AndOrXorExpression</a>, <a href="https://eclipse.org/papyrus/components/MARTE/org.eclipse.papyrus.marte.core/org.eclipse.papyrus.marte.vsl.ui/apidocs/org/eclipse/papyrus/marte/vsl/ui/contentassist/VSLProposalProvider.html?is-external=true#complete_BooleanLiteral-org.eclipse.emf.ecore.EObject-org.eclipse.xtext.RuleCall-org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext-org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor-" title="class or interface in org.eclipse.papyrus.marte.vsl.ui.contentassist">complete_BooleanLiteral</a>, <a href="https://eclipse.org/papyrus/components/MARTE/org.eclipse.papyrus.marte.core/org.eclipse.papyrus.marte.vsl.ui/apidocs/org/eclipse/papyrus/marte/vsl/ui/contentassist/VSLProposalProvider.html?is-external=true#complete_BooleanLiteralRule-org.eclipse.emf.ecore.EObject-org.eclipse.xtext.RuleCall-org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext-org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor-" title="class or interface in org.eclipse.papyrus.marte.vsl.ui.contentassist">complete_BooleanLiteralRule</a>, <a href="https://eclipse.org/papyrus/components/MARTE/org.eclipse.papyrus.marte.core/org.eclipse.papyrus.marte.vsl.ui/apidocs/org/eclipse/papyrus/marte/vsl/ui/contentassist/VSLProposalProvider.html?is-external=true#complete_CollectionOrTuple-org.eclipse.emf.ecore.EObject-org.eclipse.xtext.RuleCall-org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext-org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor-" title="class or interface in org.eclipse.papyrus.marte.vsl.ui.contentassist">complete_CollectionOrTuple</a>, <a href="https://eclipse.org/papyrus/components/MARTE/org.eclipse.papyrus.marte.core/org.eclipse.papyrus.marte.vsl.ui/apidocs/org/eclipse/papyrus/marte/vsl/ui/contentassist/VSLProposalProvider.html?is-external=true#complete_ConditionalExpression-org.eclipse.emf.ecore.EObject-org.eclipse.xtext.RuleCall-org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext-org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor-" title="class or interface in org.eclipse.papyrus.marte.vsl.ui.contentassist">complete_ConditionalExpression</a>, <a href="https://eclipse.org/papyrus/components/MARTE/org.eclipse.papyrus.marte.core/org.eclipse.papyrus.marte.vsl.ui/apidocs/org/eclipse/papyrus/marte/vsl/ui/contentassist/VSLProposalProvider.html?is-external=true#complete_DataTypeName-org.eclipse.emf.ecore.EObject-org.eclipse.xtext.RuleCall-org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext-org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor-" title="class or interface in org.eclipse.papyrus.marte.vsl.ui.contentassist">complete_DataTypeName</a>, <a href="https://eclipse.org/papyrus/components/MARTE/org.eclipse.papyrus.marte.core/org.eclipse.papyrus.marte.vsl.ui/apidocs/org/eclipse/papyrus/marte/vsl/ui/contentassist/VSLProposalProvider.html?is-external=true#complete_DateTimeLiteral-org.eclipse.emf.ecore.EObject-org.eclipse.xtext.RuleCall-org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext-org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor-" title="class or interface in org.eclipse.papyrus.marte.vsl.ui.contentassist">complete_DateTimeLiteral</a>, <a href="https://eclipse.org/papyrus/components/MARTE/org.eclipse.papyrus.marte.core/org.eclipse.papyrus.marte.vsl.ui/apidocs/org/eclipse/papyrus/marte/vsl/ui/contentassist/VSLProposalProvider.html?is-external=true#complete_DateTimeLiteralRule-org.eclipse.emf.ecore.EObject-org.eclipse.xtext.RuleCall-org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext-org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor-" title="class or interface in org.eclipse.papyrus.marte.vsl.ui.contentassist">complete_DateTimeLiteralRule</a>, <a href="https://eclipse.org/papyrus/components/MARTE/org.eclipse.papyrus.marte.core/org.eclipse.papyrus.marte.vsl.ui/apidocs/org/eclipse/papyrus/marte/vsl/ui/contentassist/VSLProposalProvider.html?is-external=true#complete_DefaultLiteralRule-org.eclipse.emf.ecore.EObject-org.eclipse.xtext.RuleCall-org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext-org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor-" title="class or interface in org.eclipse.papyrus.marte.vsl.ui.contentassist">complete_DefaultLiteralRule</a>, <a href="https://eclipse.org/papyrus/components/MARTE/org.eclipse.papyrus.marte.core/org.eclipse.papyrus.marte.vsl.ui/apidocs/org/eclipse/papyrus/marte/vsl/ui/contentassist/VSLProposalProvider.html?is-external=true#complete_DurationObsExpression-org.eclipse.emf.ecore.EObject-org.eclipse.xtext.RuleCall-org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext-org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor-" title="class or interface in org.eclipse.papyrus.marte.vsl.ui.contentassist">complete_DurationObsExpression</a>, <a href="https://eclipse.org/papyrus/components/MARTE/org.eclipse.papyrus.marte.core/org.eclipse.papyrus.marte.vsl.ui/apidocs/org/eclipse/papyrus/marte/vsl/ui/contentassist/VSLProposalProvider.html?is-external=true#complete_DurationObsName-org.eclipse.emf.ecore.EObject-org.eclipse.xtext.RuleCall-org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext-org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor-" title="class or interface in org.eclipse.papyrus.marte.vsl.ui.contentassist">complete_DurationObsName</a>, <a href="https://eclipse.org/papyrus/components/MARTE/org.eclipse.papyrus.marte.core/org.eclipse.papyrus.marte.vsl.ui/apidocs/org/eclipse/papyrus/marte/vsl/ui/contentassist/VSLProposalProvider.html?is-external=true#complete_EqualityExpression-org.eclipse.emf.ecore.EObject-org.eclipse.xtext.RuleCall-org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext-org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor-" title="class or interface in org.eclipse.papyrus.marte.vsl.ui.contentassist">complete_EqualityExpression</a>, <a href="https://eclipse.org/papyrus/components/MARTE/org.eclipse.papyrus.marte.core/org.eclipse.papyrus.marte.vsl.ui/apidocs/org/eclipse/papyrus/marte/vsl/ui/contentassist/VSLProposalProvider.html?is-external=true#complete_Expression-org.eclipse.emf.ecore.EObject-org.eclipse.xtext.RuleCall-org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext-org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor-" title="class or interface in org.eclipse.papyrus.marte.vsl.ui.contentassist">complete_Expression</a>, <a href="https://eclipse.org/papyrus/components/MARTE/org.eclipse.papyrus.marte.core/org.eclipse.papyrus.marte.vsl.ui/apidocs/org/eclipse/papyrus/marte/vsl/ui/contentassist/VSLProposalProvider.html?is-external=true#complete_InstantObsExpression-org.eclipse.emf.ecore.EObject-org.eclipse.xtext.RuleCall-org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext-org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor-" title="class or interface in org.eclipse.papyrus.marte.vsl.ui.contentassist">complete_InstantObsExpression</a>, <a href="https://eclipse.org/papyrus/components/MARTE/org.eclipse.papyrus.marte.core/org.eclipse.papyrus.marte.vsl.ui/apidocs/org/eclipse/papyrus/marte/vsl/ui/contentassist/VSLProposalProvider.html?is-external=true#complete_InstantObsName-org.eclipse.emf.ecore.EObject-org.eclipse.xtext.RuleCall-org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext-org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor-" title="class or interface in org.eclipse.papyrus.marte.vsl.ui.contentassist">complete_InstantObsName</a>, <a href="https://eclipse.org/papyrus/components/MARTE/org.eclipse.papyrus.marte.core/org.eclipse.papyrus.marte.vsl.ui/apidocs/org/eclipse/papyrus/marte/vsl/ui/contentassist/VSLProposalProvider.html?is-external=true#complete_IntegerLiteral-org.eclipse.emf.ecore.EObject-org.eclipse.xtext.RuleCall-org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext-org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor-" title="class or interface in org.eclipse.papyrus.marte.vsl.ui.contentassist">complete_IntegerLiteral</a>, <a href="https://eclipse.org/papyrus/components/MARTE/org.eclipse.papyrus.marte.core/org.eclipse.papyrus.marte.vsl.ui/apidocs/org/eclipse/papyrus/marte/vsl/ui/contentassist/VSLProposalProvider.html?is-external=true#complete_IntegerLiteralRule-org.eclipse.emf.ecore.EObject-org.eclipse.xtext.RuleCall-org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext-org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor-" title="class or interface in org.eclipse.papyrus.marte.vsl.ui.contentassist">complete_IntegerLiteralRule</a>, <a href="https://eclipse.org/papyrus/components/MARTE/org.eclipse.papyrus.marte.core/org.eclipse.papyrus.marte.vsl.ui/apidocs/org/eclipse/papyrus/marte/vsl/ui/contentassist/VSLProposalProvider.html?is-external=true#complete_Interval-org.eclipse.emf.ecore.EObject-org.eclipse.xtext.RuleCall-org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext-org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor-" title="class or interface in org.eclipse.papyrus.marte.vsl.ui.contentassist">complete_Interval</a>, <a href="https://eclipse.org/papyrus/components/MARTE/org.eclipse.papyrus.marte.core/org.eclipse.papyrus.marte.vsl.ui/apidocs/org/eclipse/papyrus/marte/vsl/ui/contentassist/VSLProposalProvider.html?is-external=true#complete_JitterExp-org.eclipse.emf.ecore.EObject-org.eclipse.xtext.RuleCall-org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext-org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor-" title="class or interface in org.eclipse.papyrus.marte.vsl.ui.contentassist">complete_JitterExp</a>, <a href="https://eclipse.org/papyrus/components/MARTE/org.eclipse.papyrus.marte.core/org.eclipse.papyrus.marte.vsl.ui/apidocs/org/eclipse/papyrus/marte/vsl/ui/contentassist/VSLProposalProvider.html?is-external=true#complete_ListOfValueNamePairs-org.eclipse.emf.ecore.EObject-org.eclipse.xtext.RuleCall-org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext-org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor-" title="class or interface in org.eclipse.papyrus.marte.vsl.ui.contentassist">complete_ListOfValueNamePairs</a>, <a href="https://eclipse.org/papyrus/components/MARTE/org.eclipse.papyrus.marte.core/org.eclipse.papyrus.marte.vsl.ui/apidocs/org/eclipse/papyrus/marte/vsl/ui/contentassist/VSLProposalProvider.html?is-external=true#complete_ListOfValues-org.eclipse.emf.ecore.EObject-org.eclipse.xtext.RuleCall-org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext-org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor-" title="class or interface in org.eclipse.papyrus.marte.vsl.ui.contentassist">complete_ListOfValues</a>, <a href="https://eclipse.org/papyrus/components/MARTE/org.eclipse.papyrus.marte.core/org.eclipse.papyrus.marte.vsl.ui/apidocs/org/eclipse/papyrus/marte/vsl/ui/contentassist/VSLProposalProvider.html?is-external=true#complete_Literal-org.eclipse.emf.ecore.EObject-org.eclipse.xtext.RuleCall-org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext-org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor-" title="class or interface in org.eclipse.papyrus.marte.vsl.ui.contentassist">complete_Literal</a>, <a href="https://eclipse.org/papyrus/components/MARTE/org.eclipse.papyrus.marte.core/org.eclipse.papyrus.marte.vsl.ui/apidocs/org/eclipse/papyrus/marte/vsl/ui/contentassist/VSLProposalProvider.html?is-external=true#complete_MultiplicativeExpression-org.eclipse.emf.ecore.EObject-org.eclipse.xtext.RuleCall-org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext-org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor-" title="class or interface in org.eclipse.papyrus.marte.vsl.ui.contentassist">complete_MultiplicativeExpression</a>, <a href="https://eclipse.org/papyrus/components/MARTE/org.eclipse.papyrus.marte.core/org.eclipse.papyrus.marte.vsl.ui/apidocs/org/eclipse/papyrus/marte/vsl/ui/contentassist/VSLProposalProvider.html?is-external=true#complete_NameOrChoiceOrBehaviorCall-org.eclipse.emf.ecore.EObject-org.eclipse.xtext.RuleCall-org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext-org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor-" title="class or interface in org.eclipse.papyrus.marte.vsl.ui.contentassist">complete_NameOrChoiceOrBehaviorCall</a>, <a href="https://eclipse.org/papyrus/components/MARTE/org.eclipse.papyrus.marte.core/org.eclipse.papyrus.marte.vsl.ui/apidocs/org/eclipse/papyrus/marte/vsl/ui/contentassist/VSLProposalProvider.html?is-external=true#complete_NullLiteral-org.eclipse.emf.ecore.EObject-org.eclipse.xtext.RuleCall-org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext-org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor-" title="class or interface in org.eclipse.papyrus.marte.vsl.ui.contentassist">complete_NullLiteral</a>, <a href="https://eclipse.org/papyrus/components/MARTE/org.eclipse.papyrus.marte.core/org.eclipse.papyrus.marte.vsl.ui/apidocs/org/eclipse/papyrus/marte/vsl/ui/contentassist/VSLProposalProvider.html?is-external=true#complete_NullLiteralRule-org.eclipse.emf.ecore.EObject-org.eclipse.xtext.RuleCall-org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext-org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor-" title="class or interface in org.eclipse.papyrus.marte.vsl.ui.contentassist">complete_NullLiteralRule</a>, <a href="https://eclipse.org/papyrus/components/MARTE/org.eclipse.papyrus.marte.core/org.eclipse.papyrus.marte.vsl.ui/apidocs/org/eclipse/papyrus/marte/vsl/ui/contentassist/VSLProposalProvider.html?is-external=true#complete_NumberLiteralRule-org.eclipse.emf.ecore.EObject-org.eclipse.xtext.RuleCall-org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext-org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor-" title="class or interface in org.eclipse.papyrus.marte.vsl.ui.contentassist">complete_NumberLiteralRule</a>, <a href="https://eclipse.org/papyrus/components/MARTE/org.eclipse.papyrus.marte.core/org.eclipse.papyrus.marte.vsl.ui/apidocs/org/eclipse/papyrus/marte/vsl/ui/contentassist/VSLProposalProvider.html?is-external=true#complete_OperationCallExpression-org.eclipse.emf.ecore.EObject-org.eclipse.xtext.RuleCall-org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext-org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor-" title="class or interface in org.eclipse.papyrus.marte.vsl.ui.contentassist">complete_OperationCallExpression</a>, <a href="https://eclipse.org/papyrus/components/MARTE/org.eclipse.papyrus.marte.core/org.eclipse.papyrus.marte.vsl.ui/apidocs/org/eclipse/papyrus/marte/vsl/ui/contentassist/VSLProposalProvider.html?is-external=true#complete_PrimaryExpression-org.eclipse.emf.ecore.EObject-org.eclipse.xtext.RuleCall-org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext-org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor-" title="class or interface in org.eclipse.papyrus.marte.vsl.ui.contentassist">complete_PrimaryExpression</a>, <a href="https://eclipse.org/papyrus/components/MARTE/org.eclipse.papyrus.marte.core/org.eclipse.papyrus.marte.vsl.ui/apidocs/org/eclipse/papyrus/marte/vsl/ui/contentassist/VSLProposalProvider.html?is-external=true#complete_PropertyCallExpression-org.eclipse.emf.ecore.EObject-org.eclipse.xtext.RuleCall-org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext-org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor-" title="class or interface in org.eclipse.papyrus.marte.vsl.ui.contentassist">complete_PropertyCallExpression</a>, <a href="https://eclipse.org/papyrus/components/MARTE/org.eclipse.papyrus.marte.core/org.eclipse.papyrus.marte.vsl.ui/apidocs/org/eclipse/papyrus/marte/vsl/ui/contentassist/VSLProposalProvider.html?is-external=true#complete_QualifiedName-org.eclipse.emf.ecore.EObject-org.eclipse.xtext.RuleCall-org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext-org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor-" title="class or interface in org.eclipse.papyrus.marte.vsl.ui.contentassist">complete_QualifiedName</a>, <a href="https://eclipse.org/papyrus/components/MARTE/org.eclipse.papyrus.marte.core/org.eclipse.papyrus.marte.vsl.ui/apidocs/org/eclipse/papyrus/marte/vsl/ui/contentassist/VSLProposalProvider.html?is-external=true#complete_RealLiteral-org.eclipse.emf.ecore.EObject-org.eclipse.xtext.RuleCall-org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext-org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor-" title="class or interface in org.eclipse.papyrus.marte.vsl.ui.contentassist">complete_RealLiteral</a>, <a href="https://eclipse.org/papyrus/components/MARTE/org.eclipse.papyrus.marte.core/org.eclipse.papyrus.marte.vsl.ui/apidocs/org/eclipse/papyrus/marte/vsl/ui/contentassist/VSLProposalProvider.html?is-external=true#complete_RealLiteralRule-org.eclipse.emf.ecore.EObject-org.eclipse.xtext.RuleCall-org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext-org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor-" title="class or interface in org.eclipse.papyrus.marte.vsl.ui.contentassist">complete_RealLiteralRule</a>, <a href="https://eclipse.org/papyrus/components/MARTE/org.eclipse.papyrus.marte.core/org.eclipse.papyrus.marte.vsl.ui/apidocs/org/eclipse/papyrus/marte/vsl/ui/contentassist/VSLProposalProvider.html?is-external=true#complete_RelationalExpression-org.eclipse.emf.ecore.EObject-org.eclipse.xtext.RuleCall-org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext-org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor-" title="class or interface in org.eclipse.papyrus.marte.vsl.ui.contentassist">complete_RelationalExpression</a>, <a href="https://eclipse.org/papyrus/components/MARTE/org.eclipse.papyrus.marte.core/org.eclipse.papyrus.marte.vsl.ui/apidocs/org/eclipse/papyrus/marte/vsl/ui/contentassist/VSLProposalProvider.html?is-external=true#complete_STRING-org.eclipse.emf.ecore.EObject-org.eclipse.xtext.RuleCall-org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext-org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor-" title="class or interface in org.eclipse.papyrus.marte.vsl.ui.contentassist">complete_STRING</a>, <a href="https://eclipse.org/papyrus/components/MARTE/org.eclipse.papyrus.marte.core/org.eclipse.papyrus.marte.vsl.ui/apidocs/org/eclipse/papyrus/marte/vsl/ui/contentassist/VSLProposalProvider.html?is-external=true#complete_StringLiteralRule-org.eclipse.emf.ecore.EObject-org.eclipse.xtext.RuleCall-org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext-org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor-" title="class or interface in org.eclipse.papyrus.marte.vsl.ui.contentassist">complete_StringLiteralRule</a>, <a href="https://eclipse.org/papyrus/components/MARTE/org.eclipse.papyrus.marte.core/org.eclipse.papyrus.marte.vsl.ui/apidocs/org/eclipse/papyrus/marte/vsl/ui/contentassist/VSLProposalProvider.html?is-external=true#complete_SuffixExpression-org.eclipse.emf.ecore.EObject-org.eclipse.xtext.RuleCall-org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext-org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor-" title="class or interface in org.eclipse.papyrus.marte.vsl.ui.contentassist">complete_SuffixExpression</a>, <a href="https://eclipse.org/papyrus/components/MARTE/org.eclipse.papyrus.marte.core/org.eclipse.papyrus.marte.vsl.ui/apidocs/org/eclipse/papyrus/marte/vsl/ui/contentassist/VSLProposalProvider.html?is-external=true#complete_TimeExpression-org.eclipse.emf.ecore.EObject-org.eclipse.xtext.RuleCall-org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext-org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor-" title="class or interface in org.eclipse.papyrus.marte.vsl.ui.contentassist">complete_TimeExpression</a>, <a href="https://eclipse.org/papyrus/components/MARTE/org.eclipse.papyrus.marte.core/org.eclipse.papyrus.marte.vsl.ui/apidocs/org/eclipse/papyrus/marte/vsl/ui/contentassist/VSLProposalProvider.html?is-external=true#complete_Tuple-org.eclipse.emf.ecore.EObject-org.eclipse.xtext.RuleCall-org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext-org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor-" title="class or interface in org.eclipse.papyrus.marte.vsl.ui.contentassist">complete_Tuple</a>, <a href="https://eclipse.org/papyrus/components/MARTE/org.eclipse.papyrus.marte.core/org.eclipse.papyrus.marte.vsl.ui/apidocs/org/eclipse/papyrus/marte/vsl/ui/contentassist/VSLProposalProvider.html?is-external=true#complete_UnaryExpression-org.eclipse.emf.ecore.EObject-org.eclipse.xtext.RuleCall-org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext-org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor-" title="class or interface in org.eclipse.papyrus.marte.vsl.ui.contentassist">complete_UnaryExpression</a>, <a href="https://eclipse.org/papyrus/components/MARTE/org.eclipse.papyrus.marte.core/org.eclipse.papyrus.marte.vsl.ui/apidocs/org/eclipse/papyrus/marte/vsl/ui/contentassist/VSLProposalProvider.html?is-external=true#complete_UnlimitedLiteralRule-org.eclipse.emf.ecore.EObject-org.eclipse.xtext.RuleCall-org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext-org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor-" title="class or interface in org.eclipse.papyrus.marte.vsl.ui.contentassist">complete_UnlimitedLiteralRule</a>, <a href="https://eclipse.org/papyrus/components/MARTE/org.eclipse.papyrus.marte.core/org.eclipse.papyrus.marte.vsl.ui/apidocs/org/eclipse/papyrus/marte/vsl/ui/contentassist/VSLProposalProvider.html?is-external=true#complete_ValueNamePair-org.eclipse.emf.ecore.EObject-org.eclipse.xtext.RuleCall-org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext-org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor-" title="class or interface in org.eclipse.papyrus.marte.vsl.ui.contentassist">complete_ValueNamePair</a>, <a href="https://eclipse.org/papyrus/components/MARTE/org.eclipse.papyrus.marte.core/org.eclipse.papyrus.marte.vsl.ui/apidocs/org/eclipse/papyrus/marte/vsl/ui/contentassist/VSLProposalProvider.html?is-external=true#complete_ValueSpecification-org.eclipse.emf.ecore.EObject-org.eclipse.xtext.RuleCall-org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext-org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor-" title="class or interface in org.eclipse.papyrus.marte.vsl.ui.contentassist">complete_ValueSpecification</a>, <a href="https://eclipse.org/papyrus/components/MARTE/org.eclipse.papyrus.marte.core/org.eclipse.papyrus.marte.vsl.ui/apidocs/org/eclipse/papyrus/marte/vsl/ui/contentassist/VSLProposalProvider.html?is-external=true#complete_VariableDeclaration-org.eclipse.emf.ecore.EObject-org.eclipse.xtext.RuleCall-org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext-org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor-" title="class or interface in org.eclipse.papyrus.marte.vsl.ui.contentassist">complete_VariableDeclaration</a>, <a href="https://eclipse.org/papyrus/components/MARTE/org.eclipse.papyrus.marte.core/org.eclipse.papyrus.marte.vsl.ui/apidocs/org/eclipse/papyrus/marte/vsl/ui/contentassist/VSLProposalProvider.html?is-external=true#complete_VariableDirectionKind-org.eclipse.emf.ecore.EObject-org.eclipse.xtext.RuleCall-org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext-org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor-" title="class or interface in org.eclipse.papyrus.marte.vsl.ui.contentassist">complete_VariableDirectionKind</a>, <a href="https://eclipse.org/papyrus/components/MARTE/org.eclipse.papyrus.marte.core/org.eclipse.papyrus.marte.vsl.ui/apidocs/org/eclipse/papyrus/marte/vsl/ui/contentassist/VSLProposalProvider.html?is-external=true#completeAdditiveExpression_Exp-org.eclipse.emf.ecore.EObject-org.eclipse.xtext.Assignment-org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext-org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor-" title="class or interface in org.eclipse.papyrus.marte.vsl.ui.contentassist">completeAdditiveExpression_Exp</a>, <a href="https://eclipse.org/papyrus/components/MARTE/org.eclipse.papyrus.marte.core/org.eclipse.papyrus.marte.vsl.ui/apidocs/org/eclipse/papyrus/marte/vsl/ui/contentassist/VSLProposalProvider.html?is-external=true#completeAdditiveExpression_Op-org.eclipse.emf.ecore.EObject-org.eclipse.xtext.Assignment-org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext-org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor-" title="class or interface in org.eclipse.papyrus.marte.vsl.ui.contentassist">completeAdditiveExpression_Op</a>, <a href="https://eclipse.org/papyrus/components/MARTE/org.eclipse.papyrus.marte.core/org.eclipse.papyrus.marte.vsl.ui/apidocs/org/eclipse/papyrus/marte/vsl/ui/contentassist/VSLProposalProvider.html?is-external=true#completeAndOrXorExpression_Exp-org.eclipse.emf.ecore.EObject-org.eclipse.xtext.Assignment-org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext-org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor-" title="class or interface in org.eclipse.papyrus.marte.vsl.ui.contentassist">completeAndOrXorExpression_Exp</a>, <a href="https://eclipse.org/papyrus/components/MARTE/org.eclipse.papyrus.marte.core/org.eclipse.papyrus.marte.vsl.ui/apidocs/org/eclipse/papyrus/marte/vsl/ui/contentassist/VSLProposalProvider.html?is-external=true#completeAndOrXorExpression_Op-org.eclipse.emf.ecore.EObject-org.eclipse.xtext.Assignment-org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext-org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor-" title="class or interface in org.eclipse.papyrus.marte.vsl.ui.contentassist">completeAndOrXorExpression_Op</a>, <a href="https://eclipse.org/papyrus/components/MARTE/org.eclipse.papyrus.marte.core/org.eclipse.papyrus.marte.vsl.ui/apidocs/org/eclipse/papyrus/marte/vsl/ui/contentassist/VSLProposalProvider.html?is-external=true#completeBooleanLiteralRule_Value-org.eclipse.emf.ecore.EObject-org.eclipse.xtext.Assignment-org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext-org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor-" title="class or interface in org.eclipse.papyrus.marte.vsl.ui.contentassist">completeBooleanLiteralRule_Value</a>, <a href="https://eclipse.org/papyrus/components/MARTE/org.eclipse.papyrus.marte.core/org.eclipse.papyrus.marte.vsl.ui/apidocs/org/eclipse/papyrus/marte/vsl/ui/contentassist/VSLProposalProvider.html?is-external=true#completeCollectionOrTuple_ListOfValues-org.eclipse.emf.ecore.EObject-org.eclipse.xtext.Assignment-org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext-org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor-" title="class or interface in org.eclipse.papyrus.marte.vsl.ui.contentassist">completeCollectionOrTuple_ListOfValues</a>, <a href="https://eclipse.org/papyrus/components/MARTE/org.eclipse.papyrus.marte.core/org.eclipse.papyrus.marte.vsl.ui/apidocs/org/eclipse/papyrus/marte/vsl/ui/contentassist/VSLProposalProvider.html?is-external=true#completeConditionalExpression_Exp-org.eclipse.emf.ecore.EObject-org.eclipse.xtext.Assignment-org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext-org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor-" title="class or interface in org.eclipse.papyrus.marte.vsl.ui.contentassist">completeConditionalExpression_Exp</a>, <a href="https://eclipse.org/papyrus/components/MARTE/org.eclipse.papyrus.marte.core/org.eclipse.papyrus.marte.vsl.ui/apidocs/org/eclipse/papyrus/marte/vsl/ui/contentassist/VSLProposalProvider.html?is-external=true#completeConditionalExpression_Op-org.eclipse.emf.ecore.EObject-org.eclipse.xtext.Assignment-org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext-org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor-" title="class or interface in org.eclipse.papyrus.marte.vsl.ui.contentassist">completeConditionalExpression_Op</a>, <a href="https://eclipse.org/papyrus/components/MARTE/org.eclipse.papyrus.marte.core/org.eclipse.papyrus.marte.vsl.ui/apidocs/org/eclipse/papyrus/marte/vsl/ui/contentassist/VSLProposalProvider.html?is-external=true#completeDataTypeName_Path-org.eclipse.emf.ecore.EObject-org.eclipse.xtext.Assignment-org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext-org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor-" title="class or interface in org.eclipse.papyrus.marte.vsl.ui.contentassist">completeDataTypeName_Path</a>, <a href="https://eclipse.org/papyrus/components/MARTE/org.eclipse.papyrus.marte.core/org.eclipse.papyrus.marte.vsl.ui/apidocs/org/eclipse/papyrus/marte/vsl/ui/contentassist/VSLProposalProvider.html?is-external=true#completeDataTypeName_Type-org.eclipse.emf.ecore.EObject-org.eclipse.xtext.Assignment-org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext-org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor-" title="class or interface in org.eclipse.papyrus.marte.vsl.ui.contentassist">completeDataTypeName_Type</a>, <a href="https://eclipse.org/papyrus/components/MARTE/org.eclipse.papyrus.marte.core/org.eclipse.papyrus.marte.vsl.ui/apidocs/org/eclipse/papyrus/marte/vsl/ui/contentassist/VSLProposalProvider.html?is-external=true#completeDateTimeLiteralRule_Value-org.eclipse.emf.ecore.EObject-org.eclipse.xtext.Assignment-org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext-org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor-" title="class or interface in org.eclipse.papyrus.marte.vsl.ui.contentassist">completeDateTimeLiteralRule_Value</a>, <a href="https://eclipse.org/papyrus/components/MARTE/org.eclipse.papyrus.marte.core/org.eclipse.papyrus.marte.vsl.ui/apidocs/org/eclipse/papyrus/marte/vsl/ui/contentassist/VSLProposalProvider.html?is-external=true#completeDefaultLiteralRule_Value-org.eclipse.emf.ecore.EObject-org.eclipse.xtext.Assignment-org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext-org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor-" title="class or interface in org.eclipse.papyrus.marte.vsl.ui.contentassist">completeDefaultLiteralRule_Value</a>, <a href="https://eclipse.org/papyrus/components/MARTE/org.eclipse.papyrus.marte.core/org.eclipse.papyrus.marte.vsl.ui/apidocs/org/eclipse/papyrus/marte/vsl/ui/contentassist/VSLProposalProvider.html?is-external=true#completeDurationObsExpression_Condition-org.eclipse.emf.ecore.EObject-org.eclipse.xtext.Assignment-org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext-org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor-" title="class or interface in org.eclipse.papyrus.marte.vsl.ui.contentassist">completeDurationObsExpression_Condition</a>, <a href="https://eclipse.org/papyrus/components/MARTE/org.eclipse.papyrus.marte.core/org.eclipse.papyrus.marte.vsl.ui/apidocs/org/eclipse/papyrus/marte/vsl/ui/contentassist/VSLProposalProvider.html?is-external=true#completeDurationObsExpression_Id-org.eclipse.emf.ecore.EObject-org.eclipse.xtext.Assignment-org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext-org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor-" title="class or interface in org.eclipse.papyrus.marte.vsl.ui.contentassist">completeDurationObsExpression_Id</a>, <a href="https://eclipse.org/papyrus/components/MARTE/org.eclipse.papyrus.marte.core/org.eclipse.papyrus.marte.vsl.ui/apidocs/org/eclipse/papyrus/marte/vsl/ui/contentassist/VSLProposalProvider.html?is-external=true#completeDurationObsExpression_Index-org.eclipse.emf.ecore.EObject-org.eclipse.xtext.Assignment-org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext-org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor-" title="class or interface in org.eclipse.papyrus.marte.vsl.ui.contentassist">completeDurationObsExpression_Index</a>, <a href="https://eclipse.org/papyrus/components/MARTE/org.eclipse.papyrus.marte.core/org.eclipse.papyrus.marte.vsl.ui/apidocs/org/eclipse/papyrus/marte/vsl/ui/contentassist/VSLProposalProvider.html?is-external=true#completeDurationObsName_DurationId-org.eclipse.emf.ecore.EObject-org.eclipse.xtext.Assignment-org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext-org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor-" title="class or interface in org.eclipse.papyrus.marte.vsl.ui.contentassist">completeDurationObsName_DurationId</a>, <a href="https://eclipse.org/papyrus/components/MARTE/org.eclipse.papyrus.marte.core/org.eclipse.papyrus.marte.vsl.ui/apidocs/org/eclipse/papyrus/marte/vsl/ui/contentassist/VSLProposalProvider.html?is-external=true#completeDurationObsName_Path-org.eclipse.emf.ecore.EObject-org.eclipse.xtext.Assignment-org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext-org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor-" title="class or interface in org.eclipse.papyrus.marte.vsl.ui.contentassist">completeDurationObsName_Path</a>, <a href="https://eclipse.org/papyrus/components/MARTE/org.eclipse.papyrus.marte.core/org.eclipse.papyrus.marte.vsl.ui/apidocs/org/eclipse/papyrus/marte/vsl/ui/contentassist/VSLProposalProvider.html?is-external=true#completeEqualityExpression_Exp-org.eclipse.emf.ecore.EObject-org.eclipse.xtext.Assignment-org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext-org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor-" title="class or interface in org.eclipse.papyrus.marte.vsl.ui.contentassist">completeEqualityExpression_Exp</a>, <a href="https://eclipse.org/papyrus/components/MARTE/org.eclipse.papyrus.marte.core/org.eclipse.papyrus.marte.vsl.ui/apidocs/org/eclipse/papyrus/marte/vsl/ui/contentassist/VSLProposalProvider.html?is-external=true#completeEqualityExpression_Op-org.eclipse.emf.ecore.EObject-org.eclipse.xtext.Assignment-org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext-org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor-" title="class or interface in org.eclipse.papyrus.marte.vsl.ui.contentassist">completeEqualityExpression_Op</a>, <a href="https://eclipse.org/papyrus/components/MARTE/org.eclipse.papyrus.marte.core/org.eclipse.papyrus.marte.vsl.ui/apidocs/org/eclipse/papyrus/marte/vsl/ui/contentassist/VSLProposalProvider.html?is-external=true#completeExpression_Exp-org.eclipse.emf.ecore.EObject-org.eclipse.xtext.Assignment-org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext-org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor-" title="class or interface in org.eclipse.papyrus.marte.vsl.ui.contentassist">completeExpression_Exp</a>, <a href="https://eclipse.org/papyrus/components/MARTE/org.eclipse.papyrus.marte.core/org.eclipse.papyrus.marte.vsl.ui/apidocs/org/eclipse/papyrus/marte/vsl/ui/contentassist/VSLProposalProvider.html?is-external=true#completeInstantObsExpression_Condition-org.eclipse.emf.ecore.EObject-org.eclipse.xtext.Assignment-org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext-org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor-" title="class or interface in org.eclipse.papyrus.marte.vsl.ui.contentassist">completeInstantObsExpression_Condition</a>, <a href="https://eclipse.org/papyrus/components/MARTE/org.eclipse.papyrus.marte.core/org.eclipse.papyrus.marte.vsl.ui/apidocs/org/eclipse/papyrus/marte/vsl/ui/contentassist/VSLProposalProvider.html?is-external=true#completeInstantObsExpression_Id-org.eclipse.emf.ecore.EObject-org.eclipse.xtext.Assignment-org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext-org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor-" title="class or interface in org.eclipse.papyrus.marte.vsl.ui.contentassist">completeInstantObsExpression_Id</a>, <a href="https://eclipse.org/papyrus/components/MARTE/org.eclipse.papyrus.marte.core/org.eclipse.papyrus.marte.vsl.ui/apidocs/org/eclipse/papyrus/marte/vsl/ui/contentassist/VSLProposalProvider.html?is-external=true#completeInstantObsExpression_Index-org.eclipse.emf.ecore.EObject-org.eclipse.xtext.Assignment-org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext-org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor-" title="class or interface in org.eclipse.papyrus.marte.vsl.ui.contentassist">completeInstantObsExpression_Index</a>, <a href="https://eclipse.org/papyrus/components/MARTE/org.eclipse.papyrus.marte.core/org.eclipse.papyrus.marte.vsl.ui/apidocs/org/eclipse/papyrus/marte/vsl/ui/contentassist/VSLProposalProvider.html?is-external=true#completeInstantObsName_InstantId-org.eclipse.emf.ecore.EObject-org.eclipse.xtext.Assignment-org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext-org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor-" title="class or interface in org.eclipse.papyrus.marte.vsl.ui.contentassist">completeInstantObsName_InstantId</a>, <a href="https://eclipse.org/papyrus/components/MARTE/org.eclipse.papyrus.marte.core/org.eclipse.papyrus.marte.vsl.ui/apidocs/org/eclipse/papyrus/marte/vsl/ui/contentassist/VSLProposalProvider.html?is-external=true#completeInstantObsName_Path-org.eclipse.emf.ecore.EObject-org.eclipse.xtext.Assignment-org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext-org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor-" title="class or interface in org.eclipse.papyrus.marte.vsl.ui.contentassist">completeInstantObsName_Path</a>, <a href="https://eclipse.org/papyrus/components/MARTE/org.eclipse.papyrus.marte.core/org.eclipse.papyrus.marte.vsl.ui/apidocs/org/eclipse/papyrus/marte/vsl/ui/contentassist/VSLProposalProvider.html?is-external=true#completeIntegerLiteralRule_Value-org.eclipse.emf.ecore.EObject-org.eclipse.xtext.Assignment-org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext-org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor-" title="class or interface in org.eclipse.papyrus.marte.vsl.ui.contentassist">completeIntegerLiteralRule_Value</a>, <a href="https://eclipse.org/papyrus/components/MARTE/org.eclipse.papyrus.marte.core/org.eclipse.papyrus.marte.vsl.ui/apidocs/org/eclipse/papyrus/marte/vsl/ui/contentassist/VSLProposalProvider.html?is-external=true#completeInterval_IsLowerIncluded-org.eclipse.emf.ecore.EObject-org.eclipse.xtext.Assignment-org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext-org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor-" title="class or interface in org.eclipse.papyrus.marte.vsl.ui.contentassist">completeInterval_IsLowerIncluded</a>, <a href="https://eclipse.org/papyrus/components/MARTE/org.eclipse.papyrus.marte.core/org.eclipse.papyrus.marte.vsl.ui/apidocs/org/eclipse/papyrus/marte/vsl/ui/contentassist/VSLProposalProvider.html?is-external=true#completeInterval_IsUpperIncluded-org.eclipse.emf.ecore.EObject-org.eclipse.xtext.Assignment-org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext-org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor-" title="class or interface in org.eclipse.papyrus.marte.vsl.ui.contentassist">completeInterval_IsUpperIncluded</a>, <a href="https://eclipse.org/papyrus/components/MARTE/org.eclipse.papyrus.marte.core/org.eclipse.papyrus.marte.vsl.ui/apidocs/org/eclipse/papyrus/marte/vsl/ui/contentassist/VSLProposalProvider.html?is-external=true#completeInterval_Lower-org.eclipse.emf.ecore.EObject-org.eclipse.xtext.Assignment-org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext-org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor-" title="class or interface in org.eclipse.papyrus.marte.vsl.ui.contentassist">completeInterval_Lower</a>, <a href="https://eclipse.org/papyrus/components/MARTE/org.eclipse.papyrus.marte.core/org.eclipse.papyrus.marte.vsl.ui/apidocs/org/eclipse/papyrus/marte/vsl/ui/contentassist/VSLProposalProvider.html?is-external=true#completeInterval_Upper-org.eclipse.emf.ecore.EObject-org.eclipse.xtext.Assignment-org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext-org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor-" title="class or interface in org.eclipse.papyrus.marte.vsl.ui.contentassist">completeInterval_Upper</a>, <a href="https://eclipse.org/papyrus/components/MARTE/org.eclipse.papyrus.marte.core/org.eclipse.papyrus.marte.vsl.ui/apidocs/org/eclipse/papyrus/marte/vsl/ui/contentassist/VSLProposalProvider.html?is-external=true#completeJitterExp_FirstInstant-org.eclipse.emf.ecore.EObject-org.eclipse.xtext.Assignment-org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext-org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor-" title="class or interface in org.eclipse.papyrus.marte.vsl.ui.contentassist">completeJitterExp_FirstInstant</a>, <a href="https://eclipse.org/papyrus/components/MARTE/org.eclipse.papyrus.marte.core/org.eclipse.papyrus.marte.vsl.ui/apidocs/org/eclipse/papyrus/marte/vsl/ui/contentassist/VSLProposalProvider.html?is-external=true#completeJitterExp_SecondInstant-org.eclipse.emf.ecore.EObject-org.eclipse.xtext.Assignment-org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext-org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor-" title="class or interface in org.eclipse.papyrus.marte.vsl.ui.contentassist">completeJitterExp_SecondInstant</a>, <a href="https://eclipse.org/papyrus/components/MARTE/org.eclipse.papyrus.marte.core/org.eclipse.papyrus.marte.vsl.ui/apidocs/org/eclipse/papyrus/marte/vsl/ui/contentassist/VSLProposalProvider.html?is-external=true#completeKeyword-org.eclipse.xtext.Keyword-org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext-org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor-" title="class or interface in org.eclipse.papyrus.marte.vsl.ui.contentassist">completeKeyword</a>, <a href="https://eclipse.org/papyrus/components/MARTE/org.eclipse.papyrus.marte.core/org.eclipse.papyrus.marte.vsl.ui/apidocs/org/eclipse/papyrus/marte/vsl/ui/contentassist/VSLProposalProvider.html?is-external=true#completeListOfValueNamePairs_ValueNamePairs-org.eclipse.emf.ecore.EObject-org.eclipse.xtext.Assignment-org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext-org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor-" title="class or interface in org.eclipse.papyrus.marte.vsl.ui.contentassist">completeListOfValueNamePairs_ValueNamePairs</a>, <a href="https://eclipse.org/papyrus/components/MARTE/org.eclipse.papyrus.marte.core/org.eclipse.papyrus.marte.vsl.ui/apidocs/org/eclipse/papyrus/marte/vsl/ui/contentassist/VSLProposalProvider.html?is-external=true#completeListOfValues_Values-org.eclipse.emf.ecore.EObject-org.eclipse.xtext.Assignment-org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext-org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor-" title="class or interface in org.eclipse.papyrus.marte.vsl.ui.contentassist">completeListOfValues_Values</a>, <a href="https://eclipse.org/papyrus/components/MARTE/org.eclipse.papyrus.marte.core/org.eclipse.papyrus.marte.vsl.ui/apidocs/org/eclipse/papyrus/marte/vsl/ui/contentassist/VSLProposalProvider.html?is-external=true#completeMultiplicativeExpression_Exp-org.eclipse.emf.ecore.EObject-org.eclipse.xtext.Assignment-org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext-org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor-" title="class or interface in org.eclipse.papyrus.marte.vsl.ui.contentassist">completeMultiplicativeExpression_Exp</a>, <a href="https://eclipse.org/papyrus/components/MARTE/org.eclipse.papyrus.marte.core/org.eclipse.papyrus.marte.vsl.ui/apidocs/org/eclipse/papyrus/marte/vsl/ui/contentassist/VSLProposalProvider.html?is-external=true#completeMultiplicativeExpression_Op-org.eclipse.emf.ecore.EObject-org.eclipse.xtext.Assignment-org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext-org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor-" title="class or interface in org.eclipse.papyrus.marte.vsl.ui.contentassist">completeMultiplicativeExpression_Op</a>, <a href="https://eclipse.org/papyrus/components/MARTE/org.eclipse.papyrus.marte.core/org.eclipse.papyrus.marte.vsl.ui/apidocs/org/eclipse/papyrus/marte/vsl/ui/contentassist/VSLProposalProvider.html?is-external=true#completeNameOrChoiceOrBehaviorCall_Arguments-org.eclipse.emf.ecore.EObject-org.eclipse.xtext.Assignment-org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext-org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor-" title="class or interface in org.eclipse.papyrus.marte.vsl.ui.contentassist">completeNameOrChoiceOrBehaviorCall_Arguments</a>, <a href="https://eclipse.org/papyrus/components/MARTE/org.eclipse.papyrus.marte.core/org.eclipse.papyrus.marte.vsl.ui/apidocs/org/eclipse/papyrus/marte/vsl/ui/contentassist/VSLProposalProvider.html?is-external=true#completeNameOrChoiceOrBehaviorCall_Id-org.eclipse.emf.ecore.EObject-org.eclipse.xtext.Assignment-org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext-org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor-" title="class or interface in org.eclipse.papyrus.marte.vsl.ui.contentassist">completeNameOrChoiceOrBehaviorCall_Id</a>, <a href="https://eclipse.org/papyrus/components/MARTE/org.eclipse.papyrus.marte.core/org.eclipse.papyrus.marte.vsl.ui/apidocs/org/eclipse/papyrus/marte/vsl/ui/contentassist/VSLProposalProvider.html?is-external=true#completeNameOrChoiceOrBehaviorCall_Path-org.eclipse.emf.ecore.EObject-org.eclipse.xtext.Assignment-org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext-org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor-" title="class or interface in org.eclipse.papyrus.marte.vsl.ui.contentassist">completeNameOrChoiceOrBehaviorCall_Path</a>, <a href="https://eclipse.org/papyrus/components/MARTE/org.eclipse.papyrus.marte.core/org.eclipse.papyrus.marte.vsl.ui/apidocs/org/eclipse/papyrus/marte/vsl/ui/contentassist/VSLProposalProvider.html?is-external=true#completeNullLiteralRule_Value-org.eclipse.emf.ecore.EObject-org.eclipse.xtext.Assignment-org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext-org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor-" title="class or interface in org.eclipse.papyrus.marte.vsl.ui.contentassist">completeNullLiteralRule_Value</a>, <a href="https://eclipse.org/papyrus/components/MARTE/org.eclipse.papyrus.marte.core/org.eclipse.papyrus.marte.vsl.ui/apidocs/org/eclipse/papyrus/marte/vsl/ui/contentassist/VSLProposalProvider.html?is-external=true#completeOperationCallExpression_Arguments-org.eclipse.emf.ecore.EObject-org.eclipse.xtext.Assignment-org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext-org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor-" title="class or interface in org.eclipse.papyrus.marte.vsl.ui.contentassist">completeOperationCallExpression_Arguments</a>, <a href="https://eclipse.org/papyrus/components/MARTE/org.eclipse.papyrus.marte.core/org.eclipse.papyrus.marte.vsl.ui/apidocs/org/eclipse/papyrus/marte/vsl/ui/contentassist/VSLProposalProvider.html?is-external=true#completeOperationCallExpression_Operation-org.eclipse.emf.ecore.EObject-org.eclipse.xtext.Assignment-org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext-org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor-" title="class or interface in org.eclipse.papyrus.marte.vsl.ui.contentassist">completeOperationCallExpression_Operation</a>, <a href="https://eclipse.org/papyrus/components/MARTE/org.eclipse.papyrus.marte.core/org.eclipse.papyrus.marte.vsl.ui/apidocs/org/eclipse/papyrus/marte/vsl/ui/contentassist/VSLProposalProvider.html?is-external=true#completeOperationCallExpression_Suffix-org.eclipse.emf.ecore.EObject-org.eclipse.xtext.Assignment-org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext-org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor-" title="class or interface in org.eclipse.papyrus.marte.vsl.ui.contentassist">completeOperationCallExpression_Suffix</a>, <a href="https://eclipse.org/papyrus/components/MARTE/org.eclipse.papyrus.marte.core/org.eclipse.papyrus.marte.vsl.ui/apidocs/org/eclipse/papyrus/marte/vsl/ui/contentassist/VSLProposalProvider.html?is-external=true#completePrimaryExpression_Prefix-org.eclipse.emf.ecore.EObject-org.eclipse.xtext.Assignment-org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext-org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor-" title="class or interface in org.eclipse.papyrus.marte.vsl.ui.contentassist">completePrimaryExpression_Prefix</a>, <a href="https://eclipse.org/papyrus/components/MARTE/org.eclipse.papyrus.marte.core/org.eclipse.papyrus.marte.vsl.ui/apidocs/org/eclipse/papyrus/marte/vsl/ui/contentassist/VSLProposalProvider.html?is-external=true#completePrimaryExpression_Suffix-org.eclipse.emf.ecore.EObject-org.eclipse.xtext.Assignment-org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext-org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor-" title="class or interface in org.eclipse.papyrus.marte.vsl.ui.contentassist">completePrimaryExpression_Suffix</a>, <a href="https://eclipse.org/papyrus/components/MARTE/org.eclipse.papyrus.marte.core/org.eclipse.papyrus.marte.vsl.ui/apidocs/org/eclipse/papyrus/marte/vsl/ui/contentassist/VSLProposalProvider.html?is-external=true#completePropertyCallExpression_Property-org.eclipse.emf.ecore.EObject-org.eclipse.xtext.Assignment-org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext-org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor-" title="class or interface in org.eclipse.papyrus.marte.vsl.ui.contentassist">completePropertyCallExpression_Property</a>, <a href="https://eclipse.org/papyrus/components/MARTE/org.eclipse.papyrus.marte.core/org.eclipse.papyrus.marte.vsl.ui/apidocs/org/eclipse/papyrus/marte/vsl/ui/contentassist/VSLProposalProvider.html?is-external=true#completePropertyCallExpression_Suffix-org.eclipse.emf.ecore.EObject-org.eclipse.xtext.Assignment-org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext-org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor-" title="class or interface in org.eclipse.papyrus.marte.vsl.ui.contentassist">completePropertyCallExpression_Suffix</a>, <a href="https://eclipse.org/papyrus/components/MARTE/org.eclipse.papyrus.marte.core/org.eclipse.papyrus.marte.vsl.ui/apidocs/org/eclipse/papyrus/marte/vsl/ui/contentassist/VSLProposalProvider.html?is-external=true#completeQualifiedName_Path-org.eclipse.emf.ecore.EObject-org.eclipse.xtext.Assignment-org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext-org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor-" title="class or interface in org.eclipse.papyrus.marte.vsl.ui.contentassist">completeQualifiedName_Path</a>, <a href="https://eclipse.org/papyrus/components/MARTE/org.eclipse.papyrus.marte.core/org.eclipse.papyrus.marte.vsl.ui/apidocs/org/eclipse/papyrus/marte/vsl/ui/contentassist/VSLProposalProvider.html?is-external=true#completeQualifiedName_Remaining-org.eclipse.emf.ecore.EObject-org.eclipse.xtext.Assignment-org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext-org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor-" title="class or interface in org.eclipse.papyrus.marte.vsl.ui.contentassist">completeQualifiedName_Remaining</a>, <a href="https://eclipse.org/papyrus/components/MARTE/org.eclipse.papyrus.marte.core/org.eclipse.papyrus.marte.vsl.ui/apidocs/org/eclipse/papyrus/marte/vsl/ui/contentassist/VSLProposalProvider.html?is-external=true#completeRealLiteralRule_Value-org.eclipse.emf.ecore.EObject-org.eclipse.xtext.Assignment-org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext-org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor-" title="class or interface in org.eclipse.papyrus.marte.vsl.ui.contentassist">completeRealLiteralRule_Value</a>, <a href="https://eclipse.org/papyrus/components/MARTE/org.eclipse.papyrus.marte.core/org.eclipse.papyrus.marte.vsl.ui/apidocs/org/eclipse/papyrus/marte/vsl/ui/contentassist/VSLProposalProvider.html?is-external=true#completeRelationalExpression_Exp-org.eclipse.emf.ecore.EObject-org.eclipse.xtext.Assignment-org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext-org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor-" title="class or interface in org.eclipse.papyrus.marte.vsl.ui.contentassist">completeRelationalExpression_Exp</a>, <a href="https://eclipse.org/papyrus/components/MARTE/org.eclipse.papyrus.marte.core/org.eclipse.papyrus.marte.vsl.ui/apidocs/org/eclipse/papyrus/marte/vsl/ui/contentassist/VSLProposalProvider.html?is-external=true#completeRelationalExpression_Op-org.eclipse.emf.ecore.EObject-org.eclipse.xtext.Assignment-org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext-org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor-" title="class or interface in org.eclipse.papyrus.marte.vsl.ui.contentassist">completeRelationalExpression_Op</a>, <a href="https://eclipse.org/papyrus/components/MARTE/org.eclipse.papyrus.marte.core/org.eclipse.papyrus.marte.vsl.ui/apidocs/org/eclipse/papyrus/marte/vsl/ui/contentassist/VSLProposalProvider.html?is-external=true#completeStringLiteralRule_Value-org.eclipse.emf.ecore.EObject-org.eclipse.xtext.Assignment-org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext-org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor-" title="class or interface in org.eclipse.papyrus.marte.vsl.ui.contentassist">completeStringLiteralRule_Value</a>, <a href="https://eclipse.org/papyrus/components/MARTE/org.eclipse.papyrus.marte.core/org.eclipse.papyrus.marte.vsl.ui/apidocs/org/eclipse/papyrus/marte/vsl/ui/contentassist/VSLProposalProvider.html?is-external=true#completeTuple_ListOfValueNamePairs-org.eclipse.emf.ecore.EObject-org.eclipse.xtext.Assignment-org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext-org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor-" title="class or interface in org.eclipse.papyrus.marte.vsl.ui.contentassist">completeTuple_ListOfValueNamePairs</a>, <a href="https://eclipse.org/papyrus/components/MARTE/org.eclipse.papyrus.marte.core/org.eclipse.papyrus.marte.vsl.ui/apidocs/org/eclipse/papyrus/marte/vsl/ui/contentassist/VSLProposalProvider.html?is-external=true#completeUnaryExpression_Exp-org.eclipse.emf.ecore.EObject-org.eclipse.xtext.Assignment-org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext-org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor-" title="class or interface in org.eclipse.papyrus.marte.vsl.ui.contentassist">completeUnaryExpression_Exp</a>, <a href="https://eclipse.org/papyrus/components/MARTE/org.eclipse.papyrus.marte.core/org.eclipse.papyrus.marte.vsl.ui/apidocs/org/eclipse/papyrus/marte/vsl/ui/contentassist/VSLProposalProvider.html?is-external=true#completeUnaryExpression_Op-org.eclipse.emf.ecore.EObject-org.eclipse.xtext.Assignment-org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext-org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor-" title="class or interface in org.eclipse.papyrus.marte.vsl.ui.contentassist">completeUnaryExpression_Op</a>, <a href="https://eclipse.org/papyrus/components/MARTE/org.eclipse.papyrus.marte.core/org.eclipse.papyrus.marte.vsl.ui/apidocs/org/eclipse/papyrus/marte/vsl/ui/contentassist/VSLProposalProvider.html?is-external=true#completeUnaryExpression_Unary-org.eclipse.emf.ecore.EObject-org.eclipse.xtext.Assignment-org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext-org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor-" title="class or interface in org.eclipse.papyrus.marte.vsl.ui.contentassist">completeUnaryExpression_Unary</a>, <a href="https://eclipse.org/papyrus/components/MARTE/org.eclipse.papyrus.marte.core/org.eclipse.papyrus.marte.vsl.ui/apidocs/org/eclipse/papyrus/marte/vsl/ui/contentassist/VSLProposalProvider.html?is-external=true#completeUnlimitedLiteralRule_Value-org.eclipse.emf.ecore.EObject-org.eclipse.xtext.Assignment-org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext-org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor-" title="class or interface in org.eclipse.papyrus.marte.vsl.ui.contentassist">completeUnlimitedLiteralRule_Value</a>, <a href="https://eclipse.org/papyrus/components/MARTE/org.eclipse.papyrus.marte.core/org.eclipse.papyrus.marte.vsl.ui/apidocs/org/eclipse/papyrus/marte/vsl/ui/contentassist/VSLProposalProvider.html?is-external=true#completeValueNamePair_Property-org.eclipse.emf.ecore.EObject-org.eclipse.xtext.Assignment-org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext-org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor-" title="class or interface in org.eclipse.papyrus.marte.vsl.ui.contentassist">completeValueNamePair_Property</a>, <a href="https://eclipse.org/papyrus/components/MARTE/org.eclipse.papyrus.marte.core/org.eclipse.papyrus.marte.vsl.ui/apidocs/org/eclipse/papyrus/marte/vsl/ui/contentassist/VSLProposalProvider.html?is-external=true#completeValueNamePair_Value-org.eclipse.emf.ecore.EObject-org.eclipse.xtext.Assignment-org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext-org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor-" title="class or interface in org.eclipse.papyrus.marte.vsl.ui.contentassist">completeValueNamePair_Value</a>, <a href="https://eclipse.org/papyrus/components/MARTE/org.eclipse.papyrus.marte.core/org.eclipse.papyrus.marte.vsl.ui/apidocs/org/eclipse/papyrus/marte/vsl/ui/contentassist/VSLProposalProvider.html?is-external=true#completeVariableDeclaration_InitValue-org.eclipse.emf.ecore.EObject-org.eclipse.xtext.Assignment-org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext-org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor-" title="class or interface in org.eclipse.papyrus.marte.vsl.ui.contentassist">completeVariableDeclaration_InitValue</a>, <a href="https://eclipse.org/papyrus/components/MARTE/org.eclipse.papyrus.marte.core/org.eclipse.papyrus.marte.vsl.ui/apidocs/org/eclipse/papyrus/marte/vsl/ui/contentassist/VSLProposalProvider.html?is-external=true#completeVariableDeclaration_Name-org.eclipse.emf.ecore.EObject-org.eclipse.xtext.Assignment-org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext-org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor-" title="class or interface in org.eclipse.papyrus.marte.vsl.ui.contentassist">completeVariableDeclaration_Name</a>, <a href="https://eclipse.org/papyrus/components/MARTE/org.eclipse.papyrus.marte.core/org.eclipse.papyrus.marte.vsl.ui/apidocs/org/eclipse/papyrus/marte/vsl/ui/contentassist/VSLProposalProvider.html?is-external=true#completeVariableDeclaration_Type-org.eclipse.emf.ecore.EObject-org.eclipse.xtext.Assignment-org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext-org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor-" title="class or interface in org.eclipse.papyrus.marte.vsl.ui.contentassist">completeVariableDeclaration_Type</a>, <a href="https://eclipse.org/papyrus/components/MARTE/org.eclipse.papyrus.marte.core/org.eclipse.papyrus.marte.vsl.ui/apidocs/org/eclipse/papyrus/marte/vsl/ui/contentassist/VSLProposalProvider.html?is-external=true#completeVariableDeclaration_VariableDeclaration-org.eclipse.emf.ecore.EObject-org.eclipse.xtext.Assignment-org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext-org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor-" title="class or interface in org.eclipse.papyrus.marte.vsl.ui.contentassist">completeVariableDeclaration_VariableDeclaration</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.xtext.common.ui.contentassist.TerminalsProposalProvider">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.eclipse.xtext.common.ui.contentassist.TerminalsProposalProvider</h3>
<code>complete_ANY_OTHER, complete_ID, complete_INT, complete_ML_COMMENT, complete_SL_COMMENT, complete_WS, doCreateIdProposals, doCreateIntProposals, doCreateStringProposals</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.xtext.ui.editor.contentassist.AbstractJavaBasedContentProposalProvider">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.eclipse.xtext.ui.editor.contentassist.AbstractJavaBasedContentProposalProvider</h3>
<code>announceProcessing, completeAssignment, completeRuleCall, createProposals, getCrossReferenceProposalCreator, getHover, getProposalFactory, getScopeProvider, invokeMethod, lookupCrossReference, lookupCrossReference, lookupCrossReference, lookupCrossReference, lookupCrossReference, lookupCrossReference, setCrossReferenceProposalCreator, setScopeProvider</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.xtext.ui.editor.contentassist.AbstractContentProposalProvider">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.eclipse.xtext.ui.editor.contentassist.AbstractContentProposalProvider</h3>
<code>createCompletionProposal, createCompletionProposal, createCompletionProposal, createCompletionProposal, createSelector, doCreateProposal, doCreateProposal, getConflictHelper, getDisplayString, getImage, getImage, getKeywordDisplayString, getLabelProvider, getPriorityHelper, getQualifiedNameConverter, getStyledDisplayString, getStyledDisplayString, getValueConverter, isValidProposal, setConflictHelper, setLabelProvider, setPriorityHelper, setValueConverter</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></h3>
<code><a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#clone--" title="class or interface in java.lang">clone</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#equals-java.lang.Object-" title="class or interface in java.lang">equals</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#finalize--" title="class or interface in java.lang">finalize</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#getClass--" title="class or interface in java.lang">getClass</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#hashCode--" title="class or interface in java.lang">hashCode</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notify--" title="class or interface in java.lang">notify</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notifyAll--" title="class or interface in java.lang">notifyAll</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#toString--" title="class or interface in java.lang">toString</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait--" title="class or interface in java.lang">wait</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-" title="class or interface in java.lang">wait</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-int-" title="class or interface in java.lang">wait</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="ConstraintWithVSLlProposalProvider--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>ConstraintWithVSLlProposalProvider</h4>
<pre>public&nbsp;ConstraintWithVSLlProposalProvider()</pre>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/ConstraintWithVSLlProposalProvider.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../../../../org/eclipse/papyrus/marte/textedit/constraintwithvsl/xtext/ui/contentassist/AbstractConstraintWithVSLlProposalProvider.html" title="class in org.eclipse.papyrus.marte.textedit.constraintwithvsl.xtext.ui.contentassist"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li>Next&nbsp;Class</li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../../../index.html?org/eclipse/papyrus/marte/textedit/constraintwithvsl/xtext/ui/contentassist/ConstraintWithVSLlProposalProvider.html" target="_top">Frames</a></li>
<li><a href="ConstraintWithVSLlProposalProvider.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested.classes.inherited.from.class.org.eclipse.xtext.ui.editor.contentassist.AbstractJavaBasedContentProposalProvider">Nested</a>&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#methods.inherited.from.class.org.eclipse.papyrus.marte.textedit.constraintwithvsl.xtext.ui.contentassist.AbstractConstraintWithVSLlProposalProvider">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li>Method</li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &#169; 2017 <a href="https://www.eclipse.org/">Eclipse foundation</a>. All rights reserved.</small></p>
</body>
</html>
